#include <iostream>
#include <queue>
int main()
{
    int n;
    std::cin >> n;

    std::priority_queue<int, std::vector<int>, std::greater<int>> min;
    std::priority_queue<int> max;
    for (int i = 1; i <= n; i++) {
        min.push(i);
    }
    for (int i = n + 1; i <= 2 * n; i++) {
        max.push(i);
    }

    for (int i = 1; i <= 2 * n; i++) {
        if (i % 2 == 1) {
            std::cout << min.top() << " ";
            min.pop();
        }
        else {
            std::cout << max.top() << " ";
            max.pop();
        }
        if (i == n)std::cout << "\n";
    }
}